Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class IpResourceNet

java.lang.Object
ru.bitel.common.inet.IpNet
ru.bitel.oss.systems.inventory.resource.common.bean.IpResourceNet

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `IpResourceInstance`, `Resource`

public class IpResourceNet extends IpNet implements IpResourceInstance

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.inet.IpNet

  `mask, subnet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IpResourceNet()`
  `IpResourceNet(int ipResourceId, byte[] subnet, int mask)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `int`
  `getIpResourceId()`
  `static void`
  `newIpResourceNetList(Iterable<IpResourceRange> rangeList, int mask, int max, List<IpResourceNet> result)`
  `static void`
  `newIpResourceNetList(IpResource resource, List<IpResourceSubscription> subscriptionList, String filter, int mask, int max, List<IpResourceNet> result)`
  Разделение ресурса на свободные диапазоны и последуещее разделение на подсети.
  `void`
  `setIpResourceId(int ipResourceId)`

  ### Methods inherited from class ru.bitel.common.inet.IpNet

  `equals, getBroadcast, getBroadcast, getHostMax, getHostMin, getMask, getMask, getMaxIp, getNetmask, getNetmask, getNetmaskWildcard, getNetmaskWildcard, getSubnet, hashCode, inNet, inNet, maskToInt, newInstance, setMask, setSubnet, toRFCString, toString, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.oss.systems.inventory.resource.common.bean.IpResourceInstance

  `toString`

- ## Constructor Details

  - ### IpResourceNet

    public IpResourceNet()

  - ### IpResourceNet

    public IpResourceNet(int ipResourceId, byte[] subnet, int mask)

- ## Method Details

  - ### getIpResourceId

    public int getIpResourceId()
    Specified by:
      `getIpResourceId` in interface `IpResourceInstance`

  - ### setIpResourceId

    public void setIpResourceId(int ipResourceId)
    Specified by:
      `setIpResourceId` in interface `IpResourceInstance`

  - ### newIpResourceNetList

    public static void newIpResourceNetList(IpResource resource, List<IpResourceSubscription> subscriptionList, String filter, int mask, int max, List<IpResourceNet> result)
    Разделение ресурса на свободные диапазоны и последуещее разделение на подсети.
    Parameters:
      `resource` -
      `subscriptionList` -
      `mask` -
      `max` -
      `result` -

  - ### newIpResourceNetList

    public static void newIpResourceNetList(Iterable<IpResourceRange> rangeList, int mask, int max, List<IpResourceNet> result)

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.